Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mirror.declaration
Interface EnumConstantDeclaration

All Superinterfaces:
  Declaration, FieldDeclaration, MemberDeclaration

    public interface EnumConstantDeclaration

extends FieldDeclaration

Represents an enum constant declaration.

Since:
  1.5

Method Summary
`EnumDeclaration` | `getDeclaringType()` Returns the type declaration within which this member or constructor is declared.

Methods inherited from interface com.sun.mirror.declaration.FieldDeclaration
`getConstantExpression, getConstantValue, getType`

Methods inherited from interface com.sun.mirror.declaration.Declaration
`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

Method Detail

### getDeclaringType

    EnumDeclaration getDeclaringType()

  Returns the type declaration within which this member or constructor is declared. If this is the declaration of a top-level type (a non-nested class or interface), returns null.

  Specified by:
    `getDeclaringType` in interface `MemberDeclaration`
  Returns:
    the type declaration within which this member or constructor is declared, or null if there is none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2004 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.